Skip to main content
GET
/
api
/
tools
/
v1
/
opportunities
/
{id}
Show an opportunity
curl --request GET \
  --url https://app.govly.com/api/tools/v1/opportunities/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "title": "<string>",
    "displayName": "<string>",
    "identifier": "<string>",
    "externalUrl": "<string>",
    "recordType": "<string>",
    "postedAt": "2023-11-07T05:31:56Z",
    "modifiedAt": "2023-11-07T05:31:56Z",
    "respondBy": "2023-11-07T05:31:56Z",
    "cancelledAt": "2023-11-07T05:31:56Z",
    "awardedAt": "2023-11-07T05:31:56Z",
    "aiTitle": "<string>",
    "aiSummary": "<string>",
    "jurisdiction": {
      "id": "<string>",
      "name": "<string>",
      "isoCode": "<string>"
    },
    "contractVehicle": {
      "id": "<string>",
      "name": "<string>"
    },
    "followerCount": 123,
    "followedByCurrentUser": true,
    "followedByCurrentOrganization": true,
    "workspaces": [
      {
        "id": "<string>",
        "name": "<string>",
        "status": {
          "category": "<string>",
          "label": "<string>"
        },
        "followerCount": 123,
        "follows": [
          {
            "id": "<string>",
            "member": {
              "id": "<string>",
              "name": "<string>",
              "email": "jsmith@example.com",
              "organization": {
                "id": "<string>",
                "name": "<string>"
              }
            },
            "state": "<string>",
            "notifications": "<string>",
            "createdAt": "2023-11-07T05:31:56Z",
            "updatedAt": "2023-11-07T05:31:56Z"
          }
        ],
        "organizationDefault": true,
        "organization": {
          "id": "<string>",
          "name": "<string>"
        },
        "followedByCurrentUser": true,
        "followedByCurrentOrganization": true
      }
    ],
    "aggregateAttachments": [
      {
        "id": "<string>",
        "filename": "<string>",
        "redacted": true,
        "contentType": "<string>",
        "byteSize": 123,
        "tags": [
          "<string>"
        ],
        "file": {
          "url": "<string>",
          "expiresAt": "2023-11-07T05:31:56Z"
        }
      }
    ],
    "opportunitySources": [
      {
        "id": "<string>",
        "attachments": [
          {
            "id": "<string>",
            "filename": "<string>",
            "redacted": true,
            "contentType": "<string>",
            "byteSize": 123,
            "tags": [
              "<string>"
            ],
            "file": {
              "url": "<string>",
              "expiresAt": "2023-11-07T05:31:56Z"
            }
          }
        ],
        "postedAt": "2023-11-07T05:31:56Z",
        "externalUrl": "<string>",
        "noticeType": "<string>",
        "recordType": "<string>"
      }
    ]
  },
  "meta": {
    "availableActions": [
      {
        "name": "<string>",
        "description": "<string>",
        "arguments": {},
        "idPaths": [
          "<string>"
        ]
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

Opportunity

data
object
required
meta
object